Subject: Re: [TLS] AD review of draft-ietf-tls-negotiated-ff-dhe-08

From: Santiago Zanella <[email-masked]>
Date: Wed, 15 Apr 2015 16:18:17 +0200

Some hard data that can be of interest.

A current full IPv4 survey of groups used for FFDHE shows that the
2048-bit MODP group from RFC3526 is the 5th most common (and the most
common with a modulus longer than 1024 bits): roughly 7.8% of over 10M
hosts use it. For comparison, 8.7% use IKE 1024-bit MODP group. The
other MODP groups in RFC3526 are used only marginally.

So, there is a significant number of hosts using IKE 2048-bit MODP
group, which is as strong as the weakest group in the draft.

That said, I fully agree with the reasons given in the draft for not
naming any existing groups*, but lack of common use should not be one of them.

* https://tools.ietf.org/html/draft-ietf-tls-negotiated-ff-dhe-08#section-9.5

 --Santiago